# Run tests in check section
%bcond_without check

%global goipath         github.com/chzyer/test
%global commit          a1ea475d72b168a29f44221e0ad031a842642302

%global common_description %{expand:
Golang test utility.}

%gometa

%global rel 9

Name:    %{goname}
Version: 0
Release: 0.%{rel}%{?dist}
Summary: Golang test utility
Group:   Development/Other
License: MIT
URL:     %{gourl}
Source:  %{gosource}
BuildArch:  noarch

BuildRequires: golang(github.com/chzyer/logex)

%description
%{common_description}


%package    devel
Summary:    %{summary}
BuildArch:  noarch
 
%description devel
%{common_description}
 
This package contains the source code needed for building packages that import
the %{goipath} Go namespace.


%prep
%goprep


%install
%goinstall


%if %{with check}
%check
%gocheck
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md




%changelog
* Tue Aug 11 2020 pterjan <pterjan> 0-0.9.mga8
+ Revision: 1613443
- Switch to goprep/gocheck

* Wed Nov 21 2018 pterjan <pterjan> 0-0.8.20181120gita1ea475.20181120gita1ea475.mga7
+ Revision: 1332543
- imported package golang-github-chzyer-test

